#ifdef DEBUG
#line 3
#endif  // DEBUG

#ifdef GL_ES
precision highp float;
#endif  // GL_ES

// redefinitions
#if (__VERSION__ < 130)
#define in varying
#define texture texture2D
#define outColor gl_FragColor
#endif  // __VERSION__

#ifdef USE_UBO
#define BeginBlock(_b) uniform _b {
#define EndBlock };
#define _uniform
layout(shared) uniform;
#else
#define BeginBlock(_b)
#define EndBlock
#define _uniform uniform
#endif  // USE_UBO

// output
#if (__VERSION__ >= 130)
out vec4 outColor;
#endif  // __VERSION__
